Subject: Re: bug#52480: 28.0.60; Emacs Zip-Archive open inside image file does not display, just empty buffer

From: "Christopher M. Miles" <[email-masked]>
Date: Thu, 16 Dec 2021 14:03:44 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: "Christopher M. Miles" <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Wed, 15 Dec 2021 17:39:17 +0800
>> 
>> I attached the tested ZIP archive which has this problem on my machine.
>
> Thanks, but the file names inside this ZIP file are all non-ASCII in
> some encoding Emacs doesn't guess well.  Would it be possible to post
> a ZIP file with images that have only ASCII characters in the file
> names?
>
> FWIW, I've made a ZIP file out of 180 images on my system, and I have
> no trouble displaying images from that ZIP file.

For reproducing problem. I attached the original zip file. I don't know whether problem is really
related with the amount of inside image files.

I searched some topics on pixiv.net, have not found ASCII-only links. Maybe you can install that
Chrome extension and download Pixiv.net manga link by yourself for testing.

-- 
[ stardiviner ]
       I try to make every word tell the meaning that I want to express.

       Blog: https://stardiviner.github.io/
       IRC(freenode): stardiviner, Matrix: stardiviner
       GPG: F09F650D7D674819892591401B5DF1C95AE89AC3